# OESGetProgramBinary (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class OESGetProgramBinary

    java.lang.Object
      org.lwjgl.opengles.OESGetProgramBinary

    public final class OESGetProgramBinary

extends java.lang.Object

Field Summary
`static int` `GL_NUM_PROGRAM_BINARY_FORMATS_OES` Accepted by the <pname< parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static int` `GL_PROGRAM_BINARY_FORMATS_OES` Accepted by the <pname< parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static int` `GL_PROGRAM_BINARY_LENGTH_OES` Accepted by the <pname> parameter of GetProgramiv:

Method Summary
`static void` `glGetProgramBinaryOES(int program, java.nio.IntBuffer length, java.nio.IntBuffer binaryFormat, java.nio.ByteBuffer binary)`
`static void` `glProgramBinaryOES(int program, int binaryFormat, java.nio.ByteBuffer binary)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_PROGRAM_BINARY_LENGTH_OES

    public static final int GL_PROGRAM_BINARY_LENGTH_OES

  Accepted by the <pname> parameter of GetProgramiv:

  See Also:
    Constant Field Values

### GL_NUM_PROGRAM_BINARY_FORMATS_OES

    public static final int GL_NUM_PROGRAM_BINARY_FORMATS_OES

  Accepted by the <pname< parameter of GetBooleanv, GetIntegerv, and GetFloatv:

  See Also:
    Constant Field Values

### GL_PROGRAM_BINARY_FORMATS_OES

    public static final int GL_PROGRAM_BINARY_FORMATS_OES

  Accepted by the <pname< parameter of GetBooleanv, GetIntegerv, and GetFloatv:

  See Also:
    Constant Field Values

Method Detail

### glGetProgramBinaryOES

    public static void glGetProgramBinaryOES(int program,
                                             java.nio.IntBuffer length,
                                             java.nio.IntBuffer binaryFormat,
                                             java.nio.ByteBuffer binary)

### glProgramBinaryOES

    public static void glProgramBinaryOES(int program,
                                          int binaryFormat,
                                          java.nio.ByteBuffer binary)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.